Subject: ipv6: addrconf_add_mroute() problem with loopback interface.

From: Li Wei <[email-masked]>
Date: Mon, 05 Dec 2011 10:57:45 +0800

Hi All,

addrconf_add_mroute() create "default" multicast route for the interface, 
but with loopback interface, there would be some problem:

If we set ipv6 address for the "lo" interface *before* other interfaces, the
function addrconf_add_mroute() will create a "default" multicast route with
error set to ENETUNREACH for "lo" interface.

Later, when we send multicast packet, route subsystem will return this *error*
route, so no multicast packets can go out.

Does somebody can give me some advice that if it's necessary to add default
multicast route for loopback interface?